# Generated by Django 4.0.4 on 2022-04-16 08:41

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('accounts', '0001_initial'),
        ('mtt', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Service',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, unique=True, verbose_name='Название')),
                ('mode', models.IntegerField(choices=[(0, 'Полностью'), (1, 'Лимит'), (2, 'Приоритет'), (3, 'Лимит-приоритет')], default=0, verbose_name='Распределение')),
                ('is_active', models.BooleanField(default=True, verbose_name='Активный')),
            ],
        ),
        migrations.CreateModel(
            name='Activation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.IntegerField(choices=[(0, 'Активация'), (1, 'Был использован'), (3, 'Проданно'), (4, 'Ошибка')], default=0, verbose_name='Статус активации')),
                ('current_account', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='accounts.account')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='sms_hub.service')),
                ('tel_number', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='activations', related_query_name='activation', to='mtt.telnumber')),
            ],
        ),
        migrations.AddIndex(
            model_name='activation',
            index=models.Index(fields=['tel_number'], name='tel_number'),
        ),
        migrations.AddConstraint(
            model_name='activation',
            constraint=models.UniqueConstraint(fields=('service', 'tel_number'), name='unique_activation'),
        ),
    ]
